Bug 216474 - Unable to handle kernel NULL pointer dereference at 0000000000000050
Unable to handle kernel NULL pointer dereference at 0000000000000050
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Eric Sandeen
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-20 13:02 EST by Colin
Modified: 2008-05-06 12:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:52:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Oops log (16.70 KB, text/plain)
2006-11-20 13:02 EST, Colin
no flags Details
dmesg boot info (22.12 KB, text/plain)
2006-11-20 13:06 EST, Colin
no flags Details

  None (edit)
Description Colin 2006-11-20 13:02:27 EST
Description of problem:

2.6.18-1.2239.fc5 threw a kernel panic after a few hours of uptime on a 2x dual
core AMD Opteron 2220SE box with the error:

 Unable to handle kernel NULL pointer dereference at 0000000000000050

After printing the stack trace it then repeatedly printed an error in
scheduler_tick - presumably every time the scheduler ran - and the box
had to be rebooted.

Version-Release number of selected component (if applicable):

FC5 / 2.6.18-1.2239.fc5

How reproducible:

First time it happened after only a few hours. Now it has been up for
3 days and the problem hasn't reoccurred.

Steps to Reproduce:
1. Boot computer in 2.6.18-1.2239.fc5
2. Let sit idle for a while
3. ???
  
Actual results:

Kernel oops with stack trace of the following. Full output and dmesg in attached
files.

Unable to handle kernel NULL pointer dereference at 0000000000000050 RIP:
 [<ffffffff8025fabb>] memcpy_c+0xb/0x14
PGD 0
Oops: 0002 [1] SMP
last sysfs file: /class/input/input1/capabilities/sw
CPU 0
Modules linked in: ipmi_devintf ipmi_si ipmi_msghandler i2c_isa nls_utf8 ipv6
dm_mod video sbs i2c_ec button battery asus_acpi ac lp parport_pc parport
ohci_hcd ehci_hcd sg ide_cd id
Pid: 2299, comm: gpm Not tainted 2.6.18-1.2239.fc5 #1
RIP: 0010:[<ffffffff8025fabb>]  [<ffffffff8025fabb>] memcpy_c+0xb/0x14
RSP: 0000:ffff8102fe727bf8  EFLAGS: 00010246
RAX: 0000000000000050 RBX: 0000000000000000 RCX: 0000000000000008
RDX: 0000000000000000 RSI: ffff8102fe727c00 RDI: 0000000000000050
RBP: 0000000000000008 R08: 0000000000000000 R09: 0000000000000030
R10: 0000000000000000 R11: 0000000000000000 R12: ffff8102ffe8a000
R13: 0000000000000050 R14: ffff8102ffc4ca80 R15: ffff81030c248078
FS:  00002aaaaaf8fb00(0000) GS:ffffffff80603000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
CR2: 0000000000000050 CR3: 0000000000201000 CR4: 00000000000006e0
Process gpm (pid: 2299, threadinfo 0000000000000000, task ffff8102fe1e4040)
Stack:  ffffffff8020aecb ffffffff8808d2e6 ffff81000cfa5900 ffff8102ffcd8540
 ffff8102ffcd8540 ffff8102ffcd8540 ffff8102ffcd8540 ffffffff880a9653
 ffff8102ffcd8540 ffff8102ffcd8540 ffffffff880ac1f8 ffffffff880ac227
Call Trace:
Inexact backtrace:
 [<ffffffff8020aecb>] __find_get_block+0x14b/0x172
 [<ffffffff8808d2e6>] :jbd:journal_start+0x8f/0x101
 [<ffffffff880a9653>] :ext3:start_transaction+0x1c/0x48
 [<ffffffff880ac1f8>] :ext3:ext3_delete_inode+0x0/0xd8
 [<ffffffff880ac227>] :ext3:ext3_delete_inode+0x2f/0xd8
 [<ffffffff880ac1f8>] :ext3:ext3_delete_inode+0x0/0xd8
 [<ffffffff8022f5c4>] generic_delete_inode+0xcb/0x149
 [<ffffffff8020d0be>] dput+0x10e/0x12b
 [<ffffffff8021244e>] __fput+0x17d/0x1aa
 [<ffffffff8021a480>] remove_vma+0x4e/0x75
 [<ffffffff80239e64>] exit_mmap+0xcf/0xf3
 [<ffffffff8023bff3>] mmput+0x41/0x96
 [<ffffffff802150f7>] do_exit+0x28c/0x8c3
 [<ffffffff80247b25>] cpuset_exit+0x0/0x6c
 [<ffffffff8022b280>] get_signal_to_deliver+0x42d/0x45d
 [<ffffffff80259eba>] do_notify_resume+0x9c/0x7ae
 [<ffffffff80294499>] signal_wake_up+0x1e/0x2d
 [<ffffffff80294fe9>] specific_send_sig_info+0xa1/0xac
 [<ffffffff80295265>] force_sig_info+0xa9/0xb3
 [<ffffffff802b3b05>] audit_syscall_exit+0x2cd/0x2eb
 [<ffffffff8025c5d0>] retint_signal+0x3d/0x79


Code: f3 48 a5 89 d1 f3 a4 c3 90 eb ea 66 66 66 90 66 66 66 90 66
------


Expected results:



Additional info:
Comment 1 Colin 2006-11-20 13:02:27 EST
Created attachment 141675 [details]
Oops log
Comment 2 Colin 2006-11-20 13:06:32 EST
Created attachment 141676 [details]
dmesg boot info
Comment 3 Bug Zapper 2008-04-04 00:49:00 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:52:45 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.